libao documentation | libao version 1.2.0 - 201401271

# ao_file_extension

declared in "ao/ao.h";

Returns the normal file extension associated with a particular driver (like "wav" or "au"). This is just an information function to allow library users to guess appropriate file names. You can safely ignore the recommended extension.

    const char* ao_file_extension(int driver_id);

### Parameters

driver_id
  The ID number of the driver as returned by either ao_driver_id() or ao_default_driver_id().

### Return Values

> - pointer to string containing suggested file extension.
> - NULL if this driver has no file extension associated with it or if this driver does not exist.

copyright © 2001-2003 Stan Seibert, 2010-2011 Monty, 2011 Philipp Schafft | xiph.org monty@xiph.org
libao documentation | libao version 1.2.0 - 20130127